%define name	libxml2
%define version	2.6.30
%define release	%mkrel 1

%define major		2
%define libname		%mklibname xml2_ %{major}
%define develname	%mklibname xml2 -d

Summary:	Library providing XML and HTML support
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group: 		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://www.xmlsoft.org/
#Source0:	ftp://xmlsoft.org/libxml2/%{name}-%{version}.tar.bz2
Source0: http://download.gnome.org/sources/libxml2/libxml2-%version.tar.bz2
# (fc) 2.4.23-3mdk remove references to -L/usr/lib
Patch1:		libxml2-2.4.23-libdir.patch
BuildRequires:  gtk-doc
BuildRequires:	python-devel >= %{pyver}
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf

%description
This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified. The
output can be a simple SAX stream or and in-memory DOM-like 
representations. In this case one can use the built-in XPath and 
XPointer implementation to select subnodes or ranges. A flexible 
Input/Output mechanism is available, with existing HTTP and FTP modules
and combined to a URI library.

%package -n %{libname}
Summary:	Shared libraries providing XML and HTML support
Group: 		System/Libraries
Obsoletes:	%{mklibname xml 2}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified.

%package utils
Summary: Utilities to manipulate XML files
Group: System/Libraries
Requires: %{libname} >= %{version}

%description utils
This packages contains utils to manipulate XML files.

%package python
Summary: Python bindings for the libxml2 library
Group: Development/Python
Requires: %{libname} >= %{version}
Requires: python >= %{pyver}
Provides: python-%{name} = %{version}-%{release}
%if "%{_lib}" != "lib"
Obsoletes: %{_lib}xml2-python < 2.6.29-4
%endif

%description python
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified.

%package -n %{develname}
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Requires: %{libname} = %{version}
Requires: zlib-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries, include files, etc you can use to develop XML applications.
This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified. 

%prep
%setup -q
%patch1 -p1 -b .libdir

#fix build & needed by patch 1 
autoreconf

%build

#
# try to use compiler profiling, based on Arjan van de Ven <arjanv@redhat.com>
# initial test spec. This really doesn't work okay for most tests done.
#
GCC_VERSION=`gcc --version | grep "^gcc" | awk '{ print $3 }' | sed 's+\([0-9]\)\.\([0-9]\)\..*+\1\2+'`
if [ $GCC_VERSION -ge 34 -a $GCC_VERSION -lt 40]
then
    PROF_GEN='-fprofile-generate'
    PROF_USE='-fprofile-use'
fi

if [ "$PROF_GEN" != "" ]
then
    # First generate a profiling version
    CFLAGS="${RPM_OPT_FLAGS} ${PROF_GEN}" CC="" %configure2_5x
    %make
    # Run a few sampling
    make dba100000.xml
    ./xmllint --noout  dba100000.xml
    ./xmllint --stream  dba100000.xml
    ./xmllint --noout --valid test/valid/REC-xml-19980210.xml
    ./xmllint --stream --valid test/valid/REC-xml-19980210.xml
    # Then generate code based on profile
    export CFLAGS="${RPM_OPT_FLAGS} ${PROF_USE}"
fi

%configure2_5x

%make

# all tests must pass
# use TARBALLURL_2="" TARBALLURL="" TESTDIRS="" to disable xstc test which are using remote tarball
make TARBALLURL_2="" TARBALLURL="" TESTDIRS="" check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
# clean before packaging documentation
(cd doc/examples ; make clean ; rm -rf .deps)
gzip -9 doc/libxml2-api.xml


# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/xml2-config

# remove unpackaged files
rm -rf	$RPM_BUILD_ROOT%{_prefix}/doc \
 	$RPM_BUILD_ROOT%{_datadir}/doc \
	$RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/*.{la,a} \

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files utils
%defattr(-, root, root)
%doc AUTHORS README Copyright TODO 
%{_bindir}/xmlcatalog
%{_bindir}/xmllint
%{_mandir}/man1/xmlcatalog*
%{_mandir}/man1/xmllint*

%files python
%defattr(-, root, root)
%doc AUTHORS README Copyright TODO 
%doc doc/*.py doc/python.html
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py
%{_libdir}/python%{pyver}/site-packages/*.so
%{_libdir}/python%{pyver}/site-packages/*.py

%files -n %{develname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO 
%doc doc/*.html doc/*.gif doc/*.png doc/html doc/examples doc/tutorial
%doc doc/libxml2-api.xml.gz
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/xml2-config
%multiarch %{multiarch_bindir}/xml2-config
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*
%{_mandir}/man1/xml2-config*
%{_mandir}/man3/*
%{_includedir}/*
%{_datadir}/aclocal/*



%changelog
* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.6.30-1mdv2008.0
+ Revision: 89538
- new version

* Wed Aug 15 2007 Anssi Hannula <anssi@mandriva.org> 2.6.29-4mdv2008.0
+ Revision: 63684
- obsolete renamed python bindings on lib64 archs

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.com> 2.6.29-3mdv2008.0
+ Revision: 63593
- lib package provides libxml2 for now, think about it later
- drop docs from library package
- use autoreconf instead of calling bits of it manually
- clean up descriptions
- python package should follow %%name, not %%libname
- new devel policy
- correct libification (libxml2_2 is the correct name for the lib package)
- clean up a bunch of conditionals for really old versions, no longer needed

* Fri Jul 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.6.29-1mdv2008.0
+ Revision: 49147
- Release 2.6.29

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 2.6.28-1mdv2008.0
+ Revision: 17345
- 2.6.28 (and rebuild for missing devel package on x86_64)


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.6.27-3mdv2007.1
+ Revision: 146578
- do not package big ChangeLog in -python

  + Helio Chissini de Castro <helio@mandriva.com>
    - Remove old source

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.6.27-2mdv2007.1
+ Revision: 88048
- rebuild

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 2.6.27-1mdv2007.1
+ Revision: 73543
- new version
- fix source URL

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup
    - rebuild
    - bunzip patches
    - Import libxml2

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.26-2mdv2007.0
- Fix doc (Mdv bug #19007)

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.26-1mdv2007.0
- Release 2.6.26

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.6.25-1mdv2007.0
- New release 2.6.25

* Sat Apr 29 2006 Götz Waschk <waschk@mandriva.org> 2.6.24-1mdk
- New release 2.6.24

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 2.6.23-1mdk
- New release 2.6.23
- use mkrel

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.22-2mdk
- Rebuild to get debug package

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.22-1mdk
- Release 2.6.22
- Remove patch2 (merged upstream)

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.21-3mdk 
- Update patch2 to fix clash with expat headers

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.21-2mdk 
- Patch2 (CVS): various fixes

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.21-1mdk 
- Release 2.6.21

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.20-3mdk 
- Remove changelog from main package to reduce its size

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.20-2mdk 
- Move api documentation to devel package

* Wed Jul 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.20-1mdk 
- New release 2.6.20
- Disable profiling, it doesn't work with gcc 4

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.19-1mdk 
- Release 2.6.19

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.17-2mdk
- multiarch for xml2-config --libtool-libs

* Tue Jan 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.17-1mdk
- New release 2.6.17

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.6.16-2mdk
- Rebuild for new python

* Wed Nov 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.16-1mdk
- New release 2.6.16

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.14-1mdk
- New release 2.6.14
- Drop support for Mdk version < 9.2
- Remove patch 2 (no longer needed)

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.13-1mdk
- New release 2.6.13

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.12-1mdk
- patch 2 fixes the build
- New release 2.6.12

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.11-2mdk
- Integrate profiling stuff from Fedora (please report any problem)

* Wed Jul 07 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.11-1mdk
- New release 2.6.11

* Wed Jun 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.6.10-1mdk
- new version

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.9-1mdk
- drop patch 2 (merged)
- new version

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.8-1mdk
- Release 2.6.8
- Patch2 (CVS): fix python tests

